; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	12/16/2013 00:11.46
; 
pro Dialog_Big_Table_Base_event, Event

  wTarget = (widget_info(Event.id,/NAME) eq 'TREE' ?  $
      widget_info(Event.id, /tree_root) : event.id)


  wWidget =  Event.top

  case wTarget of

    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Big_Table_Base'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Big_Table_Table'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TABLE_CELL_SEL' )then $
        Cell_Select_Asserted, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Big_Table_Close_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Dialog_Big_Table_Close_Asserted, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Big_Table_Ignore_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Dialog_Big_Table_Ignore_Edits_Asserted, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Multi_Edit'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Button_Multi_Edit_Asserted, Event
    end
    else:
  endcase

end

pro Dialog_Big_Table_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

; Floating or modal bases must have a Group Leader.

  if(N_Elements(wGroup) eq 0)then $
     Message,'Group leader must be specified for Modal or Floating'+ $
      ' top level bases'

  Resolve_Routine, 'Dialog_Big_Table_Window_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  Dialog_Big_Table_Base = Widget_Base( GROUP_LEADER=wGroup,  $
      UNAME='Dialog_Big_Table_Base' ,XOFFSET=5 ,YOFFSET=5  $
      ,SCR_XSIZE=927 ,SCR_YSIZE=649  $
      ,NOTIFY_REALIZE='Dialog_Big_Table_Realize' ,TITLE='' ,SPACE=3  $
      ,XPAD=3 ,YPAD=3 ,/MODAL)

  
  Dialog_Big_Table_PostCreation, Dialog_Big_Table_Base, _EXTRA=_VWBExtra_

  
  Dialog_Big_Table_Table = Widget_Table(Dialog_Big_Table_Base,  $
      UNAME='Dialog_Big_Table_Table' ,XOFFSET=10 ,YOFFSET=35  $
      ,SCR_XSIZE=905 ,SCR_YSIZE=542 ,/EDITABLE ,/ROW_MAJOR  $
      ,/RESIZEABLE_COLUMNS ,COLUMN_LABELS=[ '' ] ,ROW_LABELS=[ '' ]  $
      ,XSIZE=9 ,YSIZE=28)

  
  Dialog_Big_Table_Top_Text_Line = Widget_Text(Dialog_Big_Table_Base,  $
      UNAME='Dialog_Big_Table_Top_Text_Line' ,XOFFSET=14 ,YOFFSET=6  $
      ,/WRAP ,VALUE=[ 'Run 200101 as of 2007/10/01' ] ,XSIZE=40  $
      ,YSIZE=1)

  
  Dialog_Big_Table_Close_Button =  $
      Widget_Button(Dialog_Big_Table_Base,  $
      UNAME='Dialog_Big_Table_Close_Button' ,XOFFSET=433 ,YOFFSET=585  $
      ,/ALIGN_CENTER ,VALUE='Save Edits and Close')

  
  Dialog_Big_Table_Ignore_Button =  $
      Widget_Button(Dialog_Big_Table_Base,  $
      UNAME='Dialog_Big_Table_Ignore_Button' ,XOFFSET=13 ,YOFFSET=584  $
      ,/ALIGN_CENTER ,VALUE='Ignore Edits and Close')

  
  Button_Multi_Edit = Widget_Button(Dialog_Big_Table_Base,  $
      UNAME='Button_Multi_Edit' ,XOFFSET=228 ,YOFFSET=586  $
      ,/ALIGN_CENTER ,VALUE='Edit Multiple Cells')

  Widget_Control, /REALIZE, Dialog_Big_Table_Base

  XManager, 'Dialog_Big_Table_Base', Dialog_Big_Table_Base, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro Dialog_Big_Table_Window, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  Dialog_Big_Table_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
