; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	12/16/2013 00:11.46
; 
pro Dialog_Table_Base_event, Event

  wTarget = (widget_info(Event.id,/NAME) eq 'TREE' ?  $
      widget_info(Event.id, /tree_root) : event.id)


  wWidget =  Event.top

  case wTarget of

    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Table_Base'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Table_Close_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Dialog_Table_Close_Asserted, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Table_Ignore_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Dialog_Table_Ignore_Edits_Asserted, Event
    end
    else:
  endcase

end

pro Dialog_Table_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

; Floating or modal bases must have a Group Leader.

  if(N_Elements(wGroup) eq 0)then $
     Message,'Group leader must be specified for Modal or Floating'+ $
      ' top level bases'

  Resolve_Routine, 'Dialog_Table_Window_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  Dialog_Table_Base = Widget_Base( GROUP_LEADER=wGroup,  $
      UNAME='Dialog_Table_Base' ,XOFFSET=5 ,YOFFSET=5  $
      ,NOTIFY_REALIZE='Dialog_Table_Realize' ,TITLE='' ,SPACE=3  $
      ,XPAD=3 ,YPAD=3 ,/MODAL)

  
  Dialog_Table_PostCreation, Dialog_Table_Base, _EXTRA=_VWBExtra_

  
  Dialog_Table_Table = Widget_Table(Dialog_Table_Base,  $
      UNAME='Dialog_Table_Table' ,XOFFSET=10 ,YOFFSET=35 ,/EDITABLE  $
      ,/ROW_MAJOR ,/RESIZEABLE_COLUMNS ,COLUMN_LABELS=[ '' ]  $
      ,ROW_LABELS=[ '' ] ,XSIZE=5 ,YSIZE=5 ,ALIGNMENT=1)

  
  Dialog_Table_Top_Text_Line = Widget_Text(Dialog_Table_Base,  $
      UNAME='Dialog_Table_Top_Text_Line' ,XOFFSET=14 ,YOFFSET=6  $
      ,/WRAP ,VALUE=[ 'Run 200101 as of 2007/10/01' ] ,XSIZE=40  $
      ,YSIZE=1)

  
  Dialog_Table_Close_Button = Widget_Button(Dialog_Table_Base,  $
      UNAME='Dialog_Table_Close_Button' ,XOFFSET=249 ,YOFFSET=176  $
      ,/ALIGN_CENTER ,VALUE='Save Edits and Close')

  
  Dialog_Table_Ignore_Button = Widget_Button(Dialog_Table_Base,  $
      UNAME='Dialog_Table_Ignore_Button' ,XOFFSET=8 ,YOFFSET=176  $
      ,/ALIGN_CENTER ,VALUE='Ignore Edits and Close')

  Widget_Control, /REALIZE, Dialog_Table_Base

  XManager, 'Dialog_Table_Base', Dialog_Table_Base, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro Dialog_Table_Window, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  Dialog_Table_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
