;---------------------------------------------------------------------------------------
pro P3_get_wids, Event
	;
	;	gets P3 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	;
	(*s_ptr).P3_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Button_Start_Kokopeli")
	(*s_ptr).P3_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Button_View_Edit_Shifts")
	(*s_ptr).P3_button_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Button_Zero_Shifts")
	(*s_ptr).P3_button_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Button_Do_Shifts")
	(*s_ptr).P3_button_wid[4] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Button_Ignore_Shifts")
	(*s_ptr).P3_button_wid[5] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Column_Test_Checkbox")
	;
	(*s_ptr).P3_window_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Textbox_Group")
	(*s_ptr).P3_window_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Textbox_Image")
	(*s_ptr).P3_window_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Textbox_Number")
	(*s_ptr).P3_window_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Textbox_Column")
	;
	(*s_ptr).P3_droplist_night_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P3_Droplist_Select_Night")
	;
	;	turn all buttons to not sensitive
	;
	sen = 0
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P3_button_wid)-1 do begin
		WIDGET_CONTROL, (*s_ptr).P3_button_wid[iw], SENSITIVE = sen
	endfor
	;
	;	but return check box to sensitive
	;
	WIDGET_CONTROL, (*s_ptr).P3_button_wid[5], SENSITIVE = 1
	;
	;	load the word "None" in all textboxes
	;
	for iw = 0, N_ELEMENTS( (*s_ptr).P3_window_wid)-1 do begin
		WIDGET_CONTROL, (*s_ptr).P3_window_wid[iw], SET_VALUE="None"
	endfor
end