pro P6_Linearity_Droplist_Populate, Event, droplist_number
	;
	;	puts the list of groups of type Lin-On in the droplist
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
	s_ptr = PTR_struct.PTR_summary
	n_ptr = PTR_struct.PTR_night
	l_ptr = PTR_struct.PTR_Linearity
	;
	d_wid = (*s_ptr).P6_droplist_wid[droplist_number]
	;
	num_groups = (*n_ptr).num_groups
	;
	if(num_groups eq 0) then begin
		str_list = ['No Groups Found']
	endif else begin
		;
		;	go through the groups, looking for Lin-On or Lin-Off types
		;
		l_groups = 0
		for ig = 0, num_groups-1 do begin
			type = (*n_ptr).groups[ig].group_type
			if(type eq 'Lin-On' or type eq 'Lin-Off') then begin
				;
				;	add to list
				;
				(*l_ptr).group_list[l_groups] = ig
				(*l_ptr).group_type[l_groups] = type
				l_groups++
			endif
		endfor
		(*l_ptr).l_groups = l_groups
		;
		;	if none, send message
		;
		if(l_groups eq 0) then begin
			str_list = ['no Lin groups']
			MSP_BDP_print_text, Event, "No Groups had Linearity types"
		endif else begin
			;
			;	convert to strings
			;
			str_list = strarr(l_groups)
			for i=0, l_groups-1 do begin
				grp = (*n_ptr).groups[(*l_ptr).group_list[i]].group_id
				str_list[i] = "Grp_"+STRTRIM(STRING(format='(I)',grp),2)+" "+(*l_ptr).group_type[i]
			endfor
		endelse
		;
		WIDGET_CONTROL, d_wid, SET_VALUE=str_list
		;
	endelse
end