;---------------------------------------------------------------------------------------
pro P9_get_wids, Event
	;
	;	gets P9 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	;
	(*s_ptr).P9_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P9_Button_Discover_Dark_Groups")
	(*s_ptr).P9_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P9_Button_Edit_Dark_Group_List")
	(*s_ptr).P9_button_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P9_Button_Compute_Dark_Images")
	;
	;	turn all buttons and droplist to not sensitive
	;
	sen = 0
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P9_button_wid)-1 do begin
		WIDGET_CONTROL, (*s_ptr).P9_button_wid[iw], SENSITIVE = sen
	endfor
	;
	;	but turn on first button
	;
	P9_button_sensitize, Event, 0, 1
	;
	;	window IDs for all LED displays and sets all to gray
	;
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P9_LED_0")
	;WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P9_LED_wid[0] = wid
	;
	sen = 0
	;
	n_LEDs = N_ELEMENTS( (*s_ptr).P9_LED_colors )
	colors = strarr(n_LEDs)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P9_LED_wid[0], colors
	;
end