;
; IDL Event Callback Procedures
; MSP_BDP_Status_Table_GUI_eventcb
;
; Generated on:	10/22/2007 11:07.19
;
; Empty stub procedure used for autoloading.
;
pro Dialog_Big_Table_Window_eventcb
end
;
;-----------------------------------------------------------------
pro Dialog_Big_Table_PostCreation, wWidget, _EXTRA=DTW_struct_ptr
    ;
    DTW_ptr =DTW_struct_ptr.ptr
    ;
    (*DTW_ptr).widget_wid = wWidget
    ;
    ;	change font, if selected
    ;
    if((*DTW_ptr).font ne '' and (*DTW_ptr).font ne 'None') then WIDGET_CONTROL, DEFAULT_FONT=(*DTW_ptr).font
    ;
    ;	attach pointer to wWidget
    ;
    WIDGET_CONTROL, wWidget, SET_UVALUE=DTW_ptr	; save the pointer only
    ;
end
;-----------------------------------------------------------------
;
pro Dialog_Big_Table_Realize, wWidget
	;
	;	set up and clear the multi-cell select structure, putting it on its button
	;
	cells = {flag: 0L, left: 0L, right: 0L, top: 0L, bottom: 0L, text: '', f: 0.0d0, i: 0L}
	c_ptr = PTR_NEW(cells)
	PTR_struct = {c_ptr: c_ptr}
	;
	multi_wid = WIDGET_INFO( wWidget, FIND_BY_UNAME="Button_Multi_Edit")
	WIDGET_CONTROL, multi_wid, SET_UVALUE = PTR_struct
	;
	;	make this button insensitive
	;
	WIDGET_CONTROL, multi_wid, SENSITIVE=0
	;
	color_names = ["black", "white", "red", "orange", "yellow", "green", $
					"blue", "violet", "gray", $
					"skyblue", "grey68", "lawngreen", "pink", "plum", $
					"slateblue", "khaki light", "khaki dark", "goldenrod light",$
					"goldenrod dark", "rosybrown light", "rosybrown dark", $
					"palegreen light", "palegreen dark"]
	color_rgb =  [ [0, 	0, 	0	], $ ; black
				   [255,255,255	], $ ; white
				   [255,0,	0	], $ ; red
				   [255,165,0	], $ ; orange
				   [255,255,0	], $ ; yellow
              	   [0,	255,0	], $ ; green
              	   [0,	0,	255	], $ ; blue
              	   [148,0,  211	], $ ; violet
              	   [220,220,220 ], $ ; gray
              	   [135,206,235 ], $ ; skyblue
              	   [173,173,173	], $ ; grey68
              	   [124,252,0	], $ ; lawngreen
              	   [255,20, 147	], $ ; pink
              	   [221,160,221	], $ ; plum
              	   [106,90, 205	], $ ; slateblue
              	   [255,246,143	], $ ; khaki light
              	   [139,134, 78	], $ ; khaki dark
              	   [255,193, 37	], $ ; goldenrod light
              	   [139,105, 20	], $ ; goldenrod dark
              	   [255,193,193	], $ ; rosybrown light
              	   [139,105,105	], $ ; rosybrown dark
              	   [154,255,154 ], $ ; palegreen light
              	   [84,	139, 84	]]   ; palegreen dark
        ;
	WIDGET_CONTROL, wWidget, GET_UVALUE=DTW_ptr
    ;
    ;	now, all the widgets are realized, so update the missing ones
    ;
    label_wid = WIDGET_INFO( wWidget, FIND_BY_UNAME="Dialog_Big_Table_Top_Text_Line")
    title_wid = WIDGET_INFO( wWidget, FIND_BY_UNAME="Dialog_Big_Table_Base")
    table_wid = WIDGET_INFO( wWidget, FIND_BY_UNAME="Dialog_Big_Table_Table")
    ;
    (*DTW_ptr).label_wid = label_wid
    (*DTW_ptr).table_wid = table_wid
    (*DTW_ptr).title_wid = title_wid
    ;
    ;xsize = (*DTW_ptr).xsize
    ;ysize = (*DTW_ptr).ysize
    ;scr_xsize = (*DTW_ptr).scr_xsize
    ;scr_ysize = (*DTW_ptr).scr_ysize
    ;x_scroll_size = (*DTW_ptr).x_scroll_size
    ;y_scroll_size = (*DTW_ptr).y_scroll_size
    ;
    ;   try to move the pop up window to right hand side of display
	;
	WIDGET_CONTROL, wWidget, XOFFSET=200     ; pixels
	;
	;	change the title and label fields
	;
	if((*DTW_ptr).do_title ne 0) then WIDGET_CONTROL, title_wid, $
					BASE_SET_TITLE=(*DTW_ptr).title
	;
	if((*DTW_ptr).do_label ne 0) then WIDGET_CONTROL, label_wid, $
					SET_VALUE=(*DTW_ptr).label
	;
	;	and set to proper row, column numbers
	;
	;	first, determine if regular array or vector of structures?
	;
	type_code = SIZE((*DTW_ptr).data_array,/TYPE)
	if(type_code eq 8) then begin
		;
		;	is a structure, determine size
		;
		nc = N_TAGS((*DTW_ptr).data_array)
		nr = N_ELEMENTS((*DTW_ptr).data_array)
	endif else begin
		;
		;	is a regular array
		;
		d_size = SIZE((*DTW_ptr).data_array)
		nc = d_size[1]
		nr = d_size[2]
	endelse
	;
	;	set size of BASE
	;
	;WIDGET_CONTROL, title_wid, XSIZE=scr_xsize, YSIZE=scr_ysize
	;
	WIDGET_CONTROL, table_wid, TABLE_XSIZE=nc, TABLE_YSIZE=nr
	;, $
	;	X_SCROLL_SIZE=x_scroll_size, Y_SCROLL_SIZE=y_scroll_size, $
	;,	XSIZE=xsize, YSIZE=ysize
	;
	;	and turn off keyboard accelerators
	;
	WIDGET_CONTROL, table_wid, IGNORE_ACCELERATORS=1, /ALL_TABLE_EVENTS
	;
	;	load the column headings
	;
	WIDGET_CONTROL, table_wid, COLUMN_LABELS = (*DTW_ptr).col_headers, $
							   ROW_LABELS = (*DTW_ptr).row_headers
	;
	;	and column widths and alignment
	;
	column_widths = intarr(nc)
	column_widths = 15 + STRLEN( (*DTW_ptr).col_headers )*8
	WIDGET_CONTROL, table_wid, COLUMN_WIDTHS=column_widths, ALIGNMENT=1
	;
	;	and formats
	;
	if((*DTW_ptr).i_format eq 1) then begin
		; print, "in big table event processor, i_format = ",(*DTW_ptr).i_format
		WIDGET_CONTROL, table_wid, FORMAT=(*DTW_ptr).format
	endif
	;
	;	then set colors
	;
	;WIDGET_CONTROL, table_wid, EDITABLE=1
	;
	color_array = (*DTW_ptr).color_array
	;
	;print, "color_array = ", color_array
	;
	if(N_ELEMENTS((*DTW_ptr).color_array) eq 1) then begin
		WIDGET_CONTROL, table_wid, BACKGROUND_COLOR = REFORM(color_rgb[*,WHERE(color_names[*] eq color_array)])
	endif else begin
		;
		;	must set each cell independently
		;
		for ic = 0, nc-1 do begin
			for ir = 0, nr-1 do begin
				rgb = REFORM(color_rgb[*,WHERE(color_names[*] eq color_array[ic,ir])])
				WIDGET_CONTROL, table_wid, USE_TABLE_SELECT=[ic,ir,ic,ir] , $
						BACKGROUND_COLOR=rgb
				;
				;print, "(ic,ir) = ",ic, ir," color = ",color_array[ic,ir], " rgb = ",rgb
				;
			endfor
		endfor
	endelse
	;
	;	and load the data
	;
	WIDGET_CONTROL, table_wid, SET_VALUE=(*DTW_ptr).data_array
    ;
    WIDGET_CONTROL, wWidget, SET_UVALUE=DTW_ptr
    ;
end
;
;---------------------------------------------------------------
;
pro Dialog_Big_Table_Close_Asserted, Event
	;
    ;
    PU_ID = WIDGET_INFO (Event.top, FIND_BY_UNAME="Dialog_Big_Table_Close_Button")
    ;
    w_id = Event.top
    WIDGET_CONTROL, w_id, GET_UVALUE=DTW_ptr
    ;
    ;help, DTW_ptr
    ;help, *DTW_ptr,/structure
    ;
    ;	set title, label wids to zero to signify closure, but not table, since
    ;	we still need to fetch data
    ;
    (*DTW_ptr).label_wid = 0
    (*DTW_ptr).title_wid = 0
    ;
    ;	fetch current data from table and put into revised_data_array
    ;
    WIDGET_CONTROL, (*DTW_ptr).table_wid, GET_VALUE=revised_data_array
    ;print, revised_data_array
    (*DTW_ptr).revised_data_array = revised_data_array
    ;
    WIDGET_CONTROL, w_id, /DESTROY
    ;
end
;
;-----------------------------------------------------------------
pro Dialog_Big_Table_Ignore_Edits_Asserted, Event
	;
    ;
    PU_ID = WIDGET_INFO (Event.top, FIND_BY_UNAME="Dialog_Big_Table_Ignore_Button")
    ;
    w_id = Event.top
    WIDGET_CONTROL, w_id, GET_UVALUE=DTW_ptr
    ;
    ;help, DTW_ptr
    ;help, *DTW_ptr,/structure
    ;
    ;	set title, label wids to zero to signify closure, but not table, since
    ;	we still need to fetch data
    ;
    (*DTW_ptr).label_wid = 0
    (*DTW_ptr).title_wid = 0
    ;
    ;	put current data from table into revised_data_array
    ;
    (*DTW_ptr).revised_data_array = (*DTW_ptr).data_array
    ;
    WIDGET_CONTROL, w_id, /DESTROY
end
;-----------------------------------------------------------------
; Table Cell Select Callback Procedure
; Argument:
;   Event structure:
;
;   {WIDGET_TABLE_CELL_SEL, ID:0L, TOP:0L, HANDLER:0L, TYPE:4,
;       SEL_LEFT:0L, SEL_TOP:0L, SEL_RIGHT:0L, SEL_BOTTOM:0L}

;   ID is the widget ID of the component generating the event. TOP is
;       the widget ID of the top level widget containing ID. HANDLER
;       contains the widget ID of the widget associated with the
;       handler routine.

;   The range of cells selected is given by the zero-based indices
;       into the table specified by the SEL_LEFT, SEL_TOP, SEL_RIGHT,
;       and SEL_BOTTOM fields. When cells are deselected (either by
;       changing the selection or by clicking in the upper left
;       corner of the table) an event is generated in which the
;       SEL_LEFT, SEL_TOP, SEL_RIGHT, and SEL_BOTTOM fields contain
;       the value -1.

;   Retrieve the IDs of other widgets in the widget hierarchy using
;       id=widget_info(Event.top, FIND_BY_UNAME=name)

;-----------------------------------------------------------------
pro Cell_Select_Asserted, Event
	;
	multi_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="Button_Multi_Edit")
	WIDGET_CONTROL, multi_wid, GET_UVALUE=PTR_struct
	ptr = PTR_struct.c_ptr
	;
	;print, "got to Cell_select_asserted routine. Event structure follows:"
	;help, Event, /structure
	;
	(*ptr).left = Event.sel_left
	(*ptr).right = Event.sel_right
	(*ptr).top = Event.sel_top
	(*ptr).bottom = Event.sel_bottom
	;
	;	if this was a deselect, reset flag and return
	;
	if( (*ptr).left eq -1 or (*ptr).right eq -1 or (*ptr).top eq -1 or (*ptr).bottom eq -1) then begin
		(*ptr).flag = 0
		(*ptr).text = ''
		(*ptr).f = 0.0d0
		(*ptr).i = 0L
		WIDGET_CONTROL, multi_wid, SENSITIVE=0
		;
		;print,"  was deselect - turn off button"
		;
		goto, CSA_end
	endif
	;
	;	but, if not a deselect, then was a select - set flag and turn on multi-edit
	;	button sensitivity
	;
	(*ptr).flag = 1
	;
	WIDGET_CONTROL, multi_wid, SENSITIVE=1
	;
	;print, "  was select - turn on button"
	;
	CSA_end:
end
;-----------------------------------------------------------------
; Activate Button Callback Procedure.
; Argument:
;   Event structure:
;
;   {WIDGET_BUTTON, ID:0L, TOP:0L, HANDLER:0L, SELECT:0}
;
;   ID is the widget ID of the component generating the event. TOP is
;       the widget ID of the top level widget containing ID. HANDLER
;       contains the widget ID of the widget associated with the
;       handler routine.

;   SELECT is set to 1 if the button was set, and 0 if released.
;       Normal buttons do not generate events when released, so
;       SELECT will always be 1. However, toggle buttons (created by
;       parenting a button to an exclusive or non-exclusive base)
;       return separate events for the set and release actions.

;   Retrieve the IDs of other widgets in the widget hierarchy using
;       id=widget_info(Event.top, FIND_BY_UNAME=name)

;-----------------------------------------------------------------
pro Button_Multi_Edit_Asserted, Event
	;
	;print, "Button Multi Edit Pressed"
	;
	table_wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Dialog_Big_Table_Table")
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=DTW_ptr
	;
	;help, DTW_ptr
	;
	multi_wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Button_Multi_Edit")
	WIDGET_CONTROL, multi_wid, GET_UVALUE=PTR_struct
	;
	ptr = PTR_struct.c_ptr
	;
	;	button was asserted. If not sensitive or no text selected, just return
	;
	sense = WIDGET_INFO(multi_wid, /SENSITIVE)
	;
	;print, " Table, Multi-Edit Button WIDS: ",table_wid, multi_wid
	;print, "   Button sensitivity = ",sense
	;
	if(sense ne 0 and (*ptr).flag ne 0) then begin
		;
		;	is sensitive, get information for editing from structure
		;
		ncol = abs( (*ptr).right - (*ptr).left) + 1
		nrow = abs( (*ptr).bottom - (*ptr).top) + 1
		;
		;print, "  Ncol, Nrow selected = ",ncol, nrow
		;
		;	if multicolumn, reset to one column only
		;
		if(ncol gt 1) then (*ptr).right = (*ptr).left
		;
		;	throw up dialog GUI to capture replacement information
		;
		if( (*DTW_ptr).font ne '' and (*DTW_ptr).font ne 'None') then begin
  		new_info = Dialog_Text(Title='Multi-Cell Replacement', Label='Enter New Information', $
                             Font='Helvetica*18', Group_Leader = Event.top)
    endif else begin
      new_info = Dialog_Text(Title='Multi-Cell Replacement', Label='Enter New Information', $
        Group_Leader = Event.top)
    endelse
                           ;
        ;print, "  returned new info = ",new_info
        ;
		;	which column determines variable type
		;
		;	first, determine if regular array or vector of structures?
		;
		;help, (*DTW_ptr).data_array
		;
		type_code = SIZE((*DTW_ptr).data_array,/TYPE)
		;
		;print, "type code = ",type_code
		;
		if(type_code eq 8) then begin
			;
			;	is a structure, determine size
			;
			nc = N_TAGS((*DTW_ptr).data_array)
			nr = N_ELEMENTS((*DTW_ptr).data_array)
			;
			;	and nature of our selected column
			;
			tags = TAG_NAMES( (*DTW_ptr).data_array)
			;
			;print, "tagnames: ",tags
			;ntags = N_ELEMENTS(tags)
			;print, "n_tags = ",ntags," column number (left) = ",(*ptr).left
			;
			our_col_tag_no = (*ptr).left
			;
			col_code = SIZE( (*DTW_ptr).data_array[0].(our_col_tag_no), /TYPE)	; using tag number ids as (tn)
			;
			;print,"loaded col_code OK. col_code(struct) = ",col_code
			;
		endif else begin
			;
			;	is a regular array
			;
			d_size = SIZE((*DTW_ptr).data_array)
			nc = d_size[1]
			nr = d_size[2]
			;
			col_code = SIZE( (*DTW_ptr).data_array[(*ptr).left,0],/TYPE)
		endelse
		;
		;	parse the input, with error catching
		;
		Parse_line, Event, col_code, new_info, ierr
		;
		;print,"On return from parse line, ierr=",ierr
		;
		if (ierr eq 1) then begin
			CATCH, /CANCEL
			goto, BMEA_end
		endif
		;
		;	ok, now load the data
		;
		;print, "L,T,R,B = ",(*ptr).left, $
		;					(*ptr).top, (*ptr).right, (*ptr).bottom
		;
		;
		;	write to table:
		;
		;			if simple array, is easy
		;			if structure, must work a bit
		;
		;	save the current table view
		;
		upper_left = WIDGET_INFO( table_wid, /TABLE_VIEW)
		;
		if(type_code ne 8) then begin						; simple case follows
		;
			if(col_code eq 2 or col_code eq 3) then begin
				i_array = lonarr(1,nr)
				i_array[0,*] = (*ptr).i
				WIDGET_CONTROL, table_wid, SET_VALUE=i_array, SET_TABLE_SELECT=[(*ptr).left, $
								(*ptr).top, (*ptr).right, (*ptr).bottom], /USE_TABLE_SELECT
			endif else begin
				if(col_code eq 4 or col_code eq 5) then begin
					f_array = dblarr(1,nr)
					f_array[0,*] = (*ptr).f
					WIDGET_CONTROL, table_wid, SET_VALUE=f_array, SET_TABLE_SELECT=[(*ptr).left, $
								(*ptr).top, (*ptr).right, (*ptr).bottom], /USE_TABLE_SELECT
				endif else begin
					s_array = strarr(1,nr)
					s_array[0,*] = (*ptr).text
					WIDGET_CONTROL, table_wid, SET_VALUE=s_array, SET_TABLE_SELECT=[(*ptr).left, $
								(*ptr).top, (*ptr).right, (*ptr).bottom], /USE_TABLE_SELECT
				endelse
			endelse
		endif else begin									; structure case follows
			;
			if(col_code eq 2 or col_code eq 3) then begin
				;
				;print," on col_code 2/3 branch"
				;
				(*DTW_ptr).data_array[(*ptr).top:(*ptr).bottom].(our_col_tag_no) = (*ptr).i
				;
				;print," loaded data array structure items for col tag = ",our_col_tag_no
				;

				;
				;WIDGET_CONTROL, table_wid, SET_VALUE=(*DTW_ptr).data_array[(*ptr).top:(*ptr).bottom].(our_col_tag_no), $
				;				SET_TABLE_SELECT=[(*ptr).left, $
				;				(*ptr).top, (*ptr).right, (*ptr).bottom], /USE_TABLE_SELECT
				;
				;print,"returned from widget_control call to set data
				;
			endif else begin
				;
				if(col_code eq 4 or col_code eq 5) then begin
					(*DTW_ptr).data_array[(*ptr).top:(*ptr).bottom].(our_col_tag_no) = (*ptr).f
				endif else begin
					(*DTW_ptr).data_array[(*ptr).top:(*ptr).bottom].(our_col_tag_no) = (*ptr).text
				endelse
			endelse
			;
			;	resend the full array
			;
			WIDGET_CONTROL, table_wid, SET_VALUE=(*DTW_ptr).data_array
			;
		endelse
		;
		;	return to previous table view
		;
		WIDGET_CONTROL, table_wid, SET_TABLE_VIEW=upper_left
		;
		;	ok, clear flag and turn off button sensitivity
		;
	BMEA_end:
		(*ptr).flag = 0
		WIDGET_CONTROL, multi_wid, SENSITIVE=0
	endif
end
