pro MSP_BDP_Create_Night_File_Path, Event, night_desig, night_file_path
	;
	;	creates the file pathname for the night summary file
	;
	;	INPUTS: night_desig			integer in YYYYMMDD form
	;	OUTPUTS: night_file_path	pathname
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	;
	n_ptr = PTR_struct.PTR_night
	s_ptr = PTR_struct.PTR_summary
	;
	root_reduced = fix_path((*s_ptr).root_reduced)
	;
	filename = "night"+STRING(format='(I8.8)',night_desig)+".sav"
	;
	night_file_path = fix_path( FILEPATH(filename, ROOT_DIR=root_reduced, $
				SUBDIRECTORY='2_Analysis_Night_Saves'))
	night_file_dir = FILE_DIRNAME(night_file_path, /MARK_DIRECTORY)
	test = FILE_INFO( night_file_dir )
	if( NOT(test.exists) or NOT(test.directory) ) then FILE_MKDIR, night_file_dir
	;
end