;---------------------------------------------------------------------------------------
pro P8_get_wids, Event
	;
	;	gets P7 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	;
	(*s_ptr).P8_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P8_Button_View_Linearity_Tables")
	(*s_ptr).P8_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P8_Button_View_Edit_Groups")
	(*s_ptr).P8_button_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P8_Button_Start_Linearity_Correction")
	;
	(*s_ptr).P8_text_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P8_Text_Group_Number")
	;
;	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P8_Draw_Window")
;	WIDGET_CONTROL, wid, GET_VALUE = window_id
;	(*s_ptr).P8_draw_window_id = window_id
	;
	(*s_ptr).P8_droplist_night_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P8_Droplist_Select_Night")
	;
	;	turn all buttons and droplist to not sensitive
	;
	sen = 0
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P8_button_wid)-1 do begin
		WIDGET_CONTROL, (*s_ptr).P8_button_wid[iw], SENSITIVE = sen
	endfor
	;
	WIDGET_CONTROL, (*s_ptr).P8_droplist_night_wid[0], SENSITIVE=0
	;
	;	but turn on first button
	;
	P8_button_sensitize, Event, 0, 1
	;
	;	window IDs for all LED displays and sets all to gray
	;
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P8_LED_0")
	;WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P8_LED_wid[0] = wid
	;
	sen = 0
	;
	n_LEDs = N_ELEMENTS( (*s_ptr).P8_LED_colors )
	colors = strarr(n_LEDs)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P8_LED_wid[0], colors
	;
end