function get_closest_BPM, Event, image_JD
;
;	returns the pathname of the BPM with the closest JD to the image JD
;
WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
n_ptr = PTR_struct.PTR_night
s_ptr = PTR_struct.PTR_summary
l_ptr = PTR_struct.PTR_Linearity
b_ptr = PTR_struct.PTR_BPM
f_ptr = PTR_struct.PTR_FITS
;
n_bpm = (*b_ptr).bpm_n_BPM
d_jd = abs(image_JD - (*b_ptr).bpm_JD[0:n_bpm-1])
d_jd_min = MIN(d_jd)
jbpm = WHERE(d_jd eq d_jd_min, count)
if(count gt 1) then jbpm = jbpm[0]
BPM_path = (*b_ptr).bpm_image_name[jbpm]
if(size(BPM_path,/dimensions) ne 0) then begin
	;
	;	pesky single element array
	;
	BPM_path = BPM_path[0]
endif
;
(*l_ptr).BPM_path = REFORM(BPM_path,/overwrite)
;
return, BPM_path
end